# Class yii\grid\SerialColumn

Inheritance | yii\grid\SerialColumn » yii\grid\Column » yii\base\BaseObject
Implements | yii\base\Configurable
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/grid/SerialColumn.php

SerialColumn displays a column of row numbers (1-based).

To add a SerialColumn to the yii\grid\GridView, add it to the columns configuration as follows:

    'columns' => [
        // ...
        [
            'class' => 'yii\grid\SerialColumn',
            // you may configure additional properties here
        ],
    ]

For more details and usage information on SerialColumn, see the guide article on data widgets.

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$content | callable | This is a callable that will be used to generate the content of each cell. | yii\grid\Column
$contentOptions | array|Closure | The HTML attributes for the data cell tag. | yii\grid\Column
$filterOptions | array | The HTML attributes for the filter cell tag. | yii\grid\Column
$footer | string | The footer cell content. | yii\grid\Column
$footerOptions | array | The HTML attributes for the footer cell tag. | yii\grid\Column
$grid | yii\grid\GridView | The grid view object that owns this column. | yii\grid\Column
$header | string | The header cell content. | yii\grid\SerialColumn
$headerOptions | array | The HTML attributes for the header cell tag. | yii\grid\Column
$options | array | The HTML attributes for the column group tag. | yii\grid\Column
$visible | boolean | Whether this column is visible. | yii\grid\Column

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__call() | Calls the named method which is not a class method. | yii\base\BaseObject
__construct() | Constructor. | yii\base\BaseObject
__get() | Returns the value of an object property. | yii\base\BaseObject
__isset() | Checks if a property is set, i.e. defined and not null. | yii\base\BaseObject
__set() | Sets value of an object property. | yii\base\BaseObject
__unset() | Sets an object property to null. | yii\base\BaseObject
canGetProperty() | Returns a value indicating whether a property can be read. | yii\base\BaseObject
canSetProperty() | Returns a value indicating whether a property can be set. | yii\base\BaseObject
className() | Returns the fully qualified name of this class. | yii\base\BaseObject
hasMethod() | Returns a value indicating whether a method is defined. | yii\base\BaseObject
hasProperty() | Returns a value indicating whether a property is defined. | yii\base\BaseObject
init() | Initializes the object. | yii\base\BaseObject
renderDataCell() | Renders a data cell. | yii\grid\Column
renderFilterCell() | Renders the filter cell. | yii\grid\Column
renderFooterCell() | Renders the footer cell. | yii\grid\Column
renderHeaderCell() | Renders the header cell. | yii\grid\Column

## Protected Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
getHeaderCellLabel() | Returns header cell label. | yii\grid\Column
renderDataCellContent() | Renders the data cell content. | yii\grid\SerialColumn
renderFilterCellContent() | Renders the filter cell content. | yii\grid\Column
renderFooterCellContent() | Renders the footer cell content. | yii\grid\Column
renderHeaderCellContent() | Renders the header cell content. | yii\grid\Column

## Property Details

$header public property

The header cell content. Note that it will not be HTML-encoded.

public string $header = '#'

## Method Details

renderDataCellContent() protected method

Renders the data cell content.

protected string renderDataCellContent ( $model, $key, $index )
$model | mixed | The data model
$key | mixed | The key associated with the data model
$index | integer | The zero-based index of the data model among the models array returned by yii\grid\GridView::$dataProvider.
return | string | The rendering result